=== debian/changelog ===
bogl (0.1.9-2) unstable; urgency=low

  * Add a manpage for bterm (Closes: #84208, #139713).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 31 Mar 2002 15:43:27 -0500

bogl (0.1.9-1) unstable; urgency=low

  * New "upstream" release.
    - Several new terminfo capabilities, including scrolling up.
    - "less" works under bterm now.
    - Still one visible bug in mutt (if you are looking at a long message
      and hit 'v', the screen may not be properly cleared when the menu
      displays).  Probably we advertise some terminfo capability we
      don't actually support.
  * Support frame buffers whose start address is not page-aligned
    (Closes: #134014).
  * Add acsc, smacs, and rmacs capabilities to bterm.  They only work
    with UTF-8 etc. locales for the moment.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 18 Mar 2002 01:47:49 -0500

bogl (0.1.8-1) unstable; urgency=low

  * New "upstream" release - the "mutt almost works in bterm now" release.
  * Set controlling TTY for processes run in bterm (Closes: #121186).
  * Use u_int32_t instead of unsigned long, and fix pointer sizeofs.
  * Draw the cursor and screen refresh correctly (Closes: #119360).

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  1 Dec 2001 13:05:14 -0500

bogl (0.1.7-1) unstable; urgency=low

  * New "upstream" release.
  * Add __attribute__ ((packed)) to some structures for ARM
    (Closes: #119030).
  * Better error handling in reduce-font, from Philip Blundell
    (Closes: #119110).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 11 Nov 2001 11:21:43 -0500

bogl (0.1.6-2) unstable; urgency=low

  * Fix sections for libbogl0 and bogl-bterm.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 28 Jun 2001 12:19:34 -0700

bogl (0.1.6-1) unstable; urgency=low

  * New "upstream" release.  That was quick.
  * Include <stdarg.h> in bowl-boxes.c so that va_* macros expand
    properly.
  * Install reduce-font for boot-floppies.
  * Finish killing libutf8.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 18:15:08 -0700

bogl (0.1.5-2) unstable; urgency=low

  * Oops, add ${shlibs:Depends} to libbogl-dev (Closes: #84210).

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 17:55:16 -0700

bogl (0.1.5-1) unstable; urgency=low

  * New "upstream" release, fixing bterm's utf8 support.
  * Install bterm terminfo description.
  * Stop calling dh_testversion, we already had the right Build-Depends.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 27 May 2001 17:16:20 -0700

bogl (0.1.4-1) unstable; urgency=low

  * New "upstream" release (closes: #87034).
  * Include libbogl.so link in libbogl-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 24 Feb 2001 16:16:14 -0500

bogl (0.1.3-1) unstable; urgency=low

  * New "upstream" release, with fixed multiselects and a mouse bug.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 26 Dec 2000 23:26:05 -0500

bogl (0.1.2-2) unstable; urgency=low

  * Oops, also build depend on libpng2-dev.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 22:38:22 -0500

bogl (0.1.2-1) unstable; urgency=low

  * New "upstream" release, fixing mouse support a bit.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 22:21:31 -0500

bogl (0.1.1-1) unstable; urgency=low

  * New "upstream" release (i.e. code changes, not just packaging changes).
  * Build depend on libgd-dev (for pngtobogl).

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 25 Dec 2000 02:56:22 -0500

bogl (0.1-2) unstable; urgency=low

  * Remove ".depend" when building the package, oops.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Dec 2000 14:46:22 -0500

bogl (0.1-1) unstable; urgency=low

  * Initial Release.
  * Include the utf8 library plugin, since it seems to still be necessary
    (even with glibc 2.2 installed, although glibc 2.2 should have the
    needed functions...).
  * Clean up the makefiles for building without the rest of the boot
    floppies.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Dec 2000 13:29:38 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address "dan@debian.org"
End:
