## bogl 0.1.18

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	LIBBOGLOBJECTS += bogl-cfb.o bogl-pcfb.o bogl-tcfb.o
 endif
 
-ifeq ($(architecture), i386)
+ifneq (,$(filter i386 arm ia64 x86_64,$(architecture)))
 	FBCFLAGS += -DBOGL_VGA16_FB=1
 	LIBBOGLOBJECTS += bogl-vga16.o
 	SOURCES_DEP += bogl-vga16.c bogl-vga16.h
