=== debian/changelog ===
bogl (0.1.18-23) unstable; urgency=medium

  * patches/gcc-15: Fix build against gcc-15 (Closes: Bug#1096384)
  * rules: Use buildtools.mk.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.
  * Fix field name case in debian/control (Multi-arch ⇒ Multi-Arch).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 05 Sep 2025 01:11:25 +0200

bogl (0.1.18-22) unstable; urgency=medium

  * patches/makefile: Fix dependency computation on non-Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Jan 2024 11:56:44 +0100

bogl (0.1.18-21) unstable; urgency=medium

  * patches/boglinfo: Add boglinfo tool.
  * control: Build-depend on libgd-dev only on linux.
  * bogl-utils.manpages: Don't install bdftobogl and pngtobogl on non-Linux.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 21 Jan 2024 11:16:34 +0100

bogl (0.1.18-20) unstable; urgency=medium

  * control: Make bogl-bterm Multi-Arch: foreign.
  * patches/SGR0-ul: Fix SGR0 resetting underlining.
  * patches/SGR-multiarg: Fix SGR processing several parameters.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Sep 2022 23:58:38 +0200

bogl (0.1.18-19) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on ncurses-term.
    + bogl-bterm: Drop versioned constraint on ncurses-term in Depends.

  [ Samuel Thibault ]
  * control: Split out font tools into bogl-utils. libbogl-dev can now be M-A:
    same and bogl-utils be M-A: foreign. Keep libbogl-dev -> bogl-utils
    dependency for now until packages have migrated to using bogl-utils for
    font tools.
  * libbogl-dev.{install,manpages}: Move utils into...
  * bogl-utils.{install,manpages}: new package.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 03:15:22 +0200

bogl (0.1.18-18) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no
  * rules: Set CC.
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Zhang Boyang ]
  * Better-quit-handling.patch: Better quit handling.
  * Fix-character-occasionally-disappears-from-right-edge-of-screen.patch: Fix
    character occasionally disappears from right edge of screen.
  * Fix-out-of-bound-read-in-tcfb-s-cmap_lookup.patch: Fix out-of-bound read
    in tcfb's cmap_lookup().
  * Fix-rightmost-pixel-of-each-line-not-cleared-by-bogl_vga16_text.patch: Fix
    rightmost pixel of each line not cleared by bogl_vga16_text().
  * Better-font-reload-handling.patch: Better font reload handling.
  * Fix-incorrect-signal-handling.patch: Fix incorrect signal handling.
  * Font-scaler.patch: Font scaler.
  * Use-ioctl-FBIOPAN_DISPLAY-to-update-screen-after-drawing.patch: Use
    ioctl(FBIOPAN_DISPLAY) to update screen after drawing
    (Closes: Bug#1011609)
  * Fix-crash-caused-by-invalid-term-yorig.patch: Fix crash caused by invalid
    term->yorig.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jul 2022 23:54:27 +0200

bogl (0.1.18-17) unstable; urgency=medium

  * patches/flags: Fix passing build flags.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 17:00:12 +0100

bogl (0.1.18-16) unstable; urgency=low

  [ Debian Janitor ]
  * Add missing ${misc:Depends} to Depends for bogl-bterm-udeb.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Nov 2020 02:11:57 +0100

bogl (0.1.18-15) unstable; urgency=medium

  * rules: Rely on pre-initialized dpkg-architecture variables.
  * control: Build-depend on dh-exec.
  * libbogl-dev.install*: Use dh-exec to simplify files.
  * patches/no-common: Fix build with -fno-common, will be the default with
    gcc-10 (Closes: Bug#957050)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 20 May 2020 10:41:26 +0200

bogl (0.1.18-14) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * patches/warning: Fix some harmless warnings.

  [ Adam Conrad ]
  * debian/patches/makefile: Use DEB_HOST vars consistently, rather than
    incorrectly using DEB_BUILD and uname to guess what we're building.
  * debian/patches/makefile: Don't build vga16 on arm, due to glibc 2.30
    (Closes: Bug#940824)

 -- Samuel Thibault <sthibault@debian.org>  Sat, 21 Sep 2019 00:38:50 +0200

bogl (0.1.18-13) unstable; urgency=medium

  * patches/invisible: Call iswspace instead of isspace, fixes crash on
    U+FEFF.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 08 Mar 2018 23:47:43 +0100

bogl (0.1.18-12) unstable; urgency=medium

  * patches: Switch to 3.0 patch system.
  * Use canonical anonscm vcs URL.
  * patches/gcc-7: Fix build with gcc-7 (Closes: Bug#853335)
  * patches/cub: Support cub blindly emitted by busybox.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 05 Oct 2017 22:56:47 +0200

bogl (0.1.18-11) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Dec 2015 21:20:45 +0100

bogl (0.1.18-10) unstable; urgency=low

  [ Samuel Thibault ]
  * control:
    - Use Package-Type instead of XC-Package-Type.
    - Build-depend on libgd-dev instead of libgd2-dev.
    - Fix VCS URL.
  * bdftobogl.c: Rework to avoid letting static analyzers think there's a bug
    (Closes: Bug#737606).
  * Bump Standards-Version to 3.9.6.
  * Do not print invisible characters, ZWSP for Persian notably.
    (Closes: Bug#794204).

  [ Luca Coppolaro ]
  * bogl-font-new.c: Fix conversion of lines of glyphs with high bit set
    (Closes: Bug#796034).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 21:24:35 +0100

bogl (0.1.18-9) unstable; urgency=low


