=== debian/control ===
Source: bogl
Section: devel
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 13), dh-exec, libgd-dev [linux-any], ncurses-term
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/bogl
Vcs-Git: https://salsa.debian.org/debian/bogl.git

Package: libbogl-dev
Section: libdevel
Architecture: linux-any
# bogl-utils deps to be dropped in >= trixie
Depends: libbogl0 (= ${binary:Version}), bogl-utils, libc6-dev, ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ben's Own Graphics Library - development files
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL include files, static library,
 and development documentation.

Package: bogl-utils
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libbogl-dev (<< 0.1.18-19~)
Replaces: libbogl-dev
Multi-Arch: foreign
Description: Ben's Own Graphics Library - font tools
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL font manipulation tools.

Package: libbogl0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ben's Own Graphics Library - shared library
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the shared library version of BOGL.

Package: bogl-bterm
Section: utils
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, ncurses-term
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal.

Package: bogl-bterm-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal,
 for use in debian-installer.
