## bogl 0.1.18-1.1

=== debian/control ===
Source: bogl
Section: devel
Priority: optional
Maintainer: Daniel Jacobowitz <dan@debian.org>
Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng3-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7) [!hurd-i386]
Standards-Version: 3.1.1

Package: libbogl-dev
Section: libdevel
Architecture: any
Depends: libbogl0 (= ${Source-Version}), libc6-dev, ${shlibs:Depends}
Description: Ben's Own Graphics Library - development files
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the BOGL include files, static library,
 and development documentation.

Package: libbogl0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Ben's Own Graphics Library - shared library
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains the shared library version of BOGL.

Package: bogl-bterm
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal.

Package: bogl-bterm-udeb
Section: debian-installer
Architecture: any
Priority: extra
Depends: libc-udeb
Provides: editor
Description: Ben's Own Graphics Library - graphical terminal
 Ben's Own Graphics Library is a small framebuffer library,
 including basic widgets, support for text in multiple
 languages, and mouse handling.
 .
 This package contains bterm, a UTF-enabled framebuffer terminal,
 for use in debian-installer.
