=== debian/changelog ===
bogl (0.1.18-1.1ubuntu3) breezy; urgency=low

  * Fix build with new dpkg-architecture
  * Add a SIGTERM signal handler which allows for a graceful exit, restoring
    the vt state

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed,  7 Sep 2005 15:59:03 -0700

bogl (0.1.18-1.1ubuntu2) breezy; urgency=low

  * Fixed one more gcc-4.0 error
    boml.c -  error: label at end of compound statement  

 -- Charles Majola <charles@ubuntu.com>  Mon, 16 May 2005 14:31:39 +0000

bogl (0.1.18-1.1ubuntu1) breezy; urgency=low

  * Fix FTBFS (amd64/gcc-4.0). Closes: #284741.

 -- Matthias Klose <doko@ubuntu.com>  Tue,  3 May 2005 11:39:21 +0200
