## bogl 0.1.18-1.4ubuntu2

=== debian/changelog ===
bogl (0.1.18-1.4ubuntu2) dapper; urgency=low

  * debian/control: libpng3-dev -> libpng12-dev, libpng3-dev is going away.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 23 Feb 2006 12:11:36 +0100

bogl (0.1.18-1.4ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Nov 2005 12:08:46 +0100
