=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Daniel Jacobowitz <dan@debian.org>
-Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng3-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7) [!hurd-i386]
+Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev, linux-kernel-headers (>= 2.5.999-test7-bk-7) [!hurd-i386]
 Standards-Version: 3.1.1
 
 Package: libbogl-dev
