## bogl 0.1.18-1.4ubuntu4

=== debian/changelog ===
bogl (0.1.18-1.4ubuntu4) edgy; urgency=low

  * bogl.c: Stop including asm/page.h to get PAGE_MASK, and instead grab
    it at runtime with sysconf(_SC_PAGESIZE), fix pulled from usplash.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 13 Oct 2006 19:01:50 +1000

bogl (0.1.18-1.4ubuntu3) edgy; urgency=low

  * debian/control: Remove linux-kernel-headers build dependency, it does not
    exist any more and causes FTBFS. (Got replaced by the build-essential
    linux-libc-dev.) Closes: LP#65848

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 13 Oct 2006 09:47:27 +0200
