=== debian/changelog ===
bogl (0.1.18-1.5ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a SIGTERM signal handler which allows for a graceful exit,
      restoring the vt state.
    - debian/control: libpng3-dev -> libpng12-dev; libpng3-dev is going
      away.
    - debian/control: Remove linux-kernel-headers build dependency, it does
      not exist any more and causes FTBFS. (Got replaced by the
      build-essential linux-libc-dev.)
  * Discard a few unnecessary changes which looked like old merge cruft.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 12:21:12 +0000
