## bogl 0.1.18-2

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bogl
 Section: devel
 Priority: optional
-Maintainer: Daniel Jacobowitz <dan@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
 Standards-Version: 3.1.1
