## bogl 0.1.18-2ubuntu4

=== debian/changelog ===
bogl (0.1.18-2ubuntu4) jaunty; urgency=low

  * Redo 0.1.18-2ubuntu2, this time in a way that actually works.
    Compatibility with bterm's old command-line parsing is fiddly. The old
    style is "bterm [options] [command]" where options and command may be
    interleaved, and command may only be a single path; we now also support
    "bterm [options] -- command [arguments]".

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 06 Feb 2009 14:08:52 +0100

bogl (0.1.18-2ubuntu3) jaunty; urgency=low

  * Revert changes from 0.1.18-2ubuntu2; bterm only supports a single
    command argument so "--" is not a lot of use.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Feb 2009 09:01:58 +0100

bogl (0.1.18-2ubuntu2) jaunty; urgency=low

  * If a "--" argument is encountered on bterm's command line, terminate
    option processing there.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 03 Feb 2009 13:48:49 +0100

bogl (0.1.18-2ubuntu1) jaunty; urgency=low

  * Set many internal file descriptors close-on-exec, to avoid leaking them
    to the program called by bterm.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 22 Jan 2009 16:02:51 +0000
