## bogl 0.1.18-3ubuntu3

=== debian/changelog ===
bogl (0.1.18-3ubuntu3) karmic; urgency=low

  * bowl.c: do not use nested function to avoid creating binary
    with an executable stack (Debian bug 539775).
    http://cvs.fedoraproject.org/viewvc/devel/bogl/bogl-0.1.18-noexecstack.patch?view=markup

 -- Kees Cook <kees@ubuntu.com>  Mon, 03 Aug 2009 08:33:33 -0700

bogl (0.1.18-3ubuntu2) karmic; urgency=low

  * Fix Maintainer field per DebianMaintainerField.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Jun 2009 15:59:03 +0100

bogl (0.1.18-3ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - If a "--" argument is encountered on bterm's command line, terminate
      option processing there and accept arguments after the command name.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 May 2009 15:46:19 +0100
