## bogl 0.1.18-3ubuntu4

=== debian/changelog ===
bogl (0.1.18-3ubuntu4) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Fri, 05 Mar 2010 03:11:11 +0100
