=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: bogl
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 2), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
-Standards-Version: 3.1.1
+Build-Depends: debhelper (>= 5.0.0), libgd2-noxpm-dev | libgd2-xpm-dev, libpng12-dev
+Standards-Version: 3.8.1
 
 Package: libbogl-dev
 Section: libdevel
 Architecture: any
-Depends: libbogl0 (= ${Source-Version}), libc6-dev, ${shlibs:Depends}
+Depends: libbogl0 (= ${binary:Version}), libc6-dev, ${shlibs:Depends}, ${misc:Depends}
 Description: Ben's Own Graphics Library - development files
  Ben's Own Graphics Library is a small framebuffer library,
  including basic widgets, support for text in multiple
@@ -21,7 +21,7 @@
 Package: libbogl0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ben's Own Graphics Library - shared library
  Ben's Own Graphics Library is a small framebuffer library,
  including basic widgets, support for text in multiple
@@ -32,7 +32,7 @@
 Package: bogl-bterm
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Ben's Own Graphics Library - graphical terminal
  Ben's Own Graphics Library is a small framebuffer library,
  including basic widgets, support for text in multiple
