=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 # shared library versions, option 1
 version=2.0.5
@@ -32,7 +29,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
@@ -48,7 +45,7 @@
 	dh_testdir
 	dh_testroot
 
-	$(MAKE) install DESTDIR="$(shell pwd)/debian/tmp"
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	dh_movefiles
